/* Default css using Universal selector */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    /* To resolve the Horizontal Scrolling effect */
}

body {
    background: linear-gradient(to right bottom, #b40eca, #ce7d03);
}

#main {
    min-height: 100vh;
    padding-bottom: 50px;
    display: flex;
    justify-content: center;
    align-items: flex-start;
    flex-wrap: wrap;
}

#addBtn {
    position: fixed;
    top: 20px;
    right: 20px;
    color: white;
    background-color: #179712;
    /* padding: 15px 40px; */
    padding: 10px ;
    font-size: 16px;
    border: none;
    outline: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

#addBtn:hover {
    background-color: #06a086;
}

.note {
    background-color: #393e46;
    margin: 15px;
    border-radius: 10px;
    box-shadow: 0px 2px 6px rgba(0, 0, 0, 0.1);
    overflow: hidden;
    transition: box-shadow 0.3 ease;
}

.note:hover {
    /* box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.5); */
    box-shadow: 1px 2px 2px 4px;
}

.tool {
    background-color: black;
    color: white;
    padding: 5px;
    display: flex;
    justify-content: flex-end;
}

.tool i {
    padding: 5px;
    cursor: pointer;
    transition: color 0.3s ease;
}

.tool i:hover {
    color: #aca1a1;
}

.note textarea {
    width: 300px;
    border: none;
    outline: none;
    min-height: 220px;
    resize: none;
    padding: 5px;
    font-size: 16px;
    color: white;
    background: transparent;
}

.note textarea:focus {
    outline: none;
}